SDL_SetTextureBlendMode(3)

NAME
SDL_SetTextureBlendMode - Set the blend mode for a texture, used by SDL_RenderTexture ().

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetTextureBlendMode(SDL_Texture *texture, SDL_BlendMode blendMode);

DESCRIPTION
If the blend mode is not supported, the closest supported mode is chosen and this function returns -1.

FUNCTION PARAMETERS

texture
    the texture to update

blendMode
    the SDL_BlendMode
     to use for texture blending

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetTextureBlendMode(3)